| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csplugincommon/sndsys/queue.h File Reference

A threadsafe, pointer-passing queue implementation for the sound system. More...

`#include "csutil/thread.h"`

Go to the source code of this file.

## Namespaces
namespace | CS
namespace | CS::SndSys
## Classes
class | CS::SndSys::QEntry< T >
class | CS::SndSys::Queue< T >
| A threadsafe, pointer-passing queue (First-In First-Out) implementation for the sound system. More...
class | CS::SndSys::QueueIterator< T >
| A simple iterator over the elements of a queue. More...
## Enumerations
enum | CS::SndSys::QueueErrorType { CS::SndSys::QUEUE_SUCCESS = 0, CS::SndSys::QUEUE_ERR_CLOSED = -1, CS::SndSys::QUEUE_ERR_NOMEM = -2, CS::SndSys::QUEUE_ERR_DUPE = -3 }
| Basic operation error codes. More...

## Detailed Description

A threadsafe, pointer-passing queue implementation for the sound system.

Definition in file queue.h.